Holger's Java API

## com.antelmann.util.logging
Interface LoggerProvider

All Known Subinterfaces:
  Database<S>

All Known Implementing Classes:
  AbstractDatabase, Backup, FTPConnector, GDB, IMAPBackup, LoggerHandler, MyAbstractAction, MySQLLog, OpenGeoDB, POP3Account, SaveImageAction, ShowLicensesAction, SQLDatabase, SQLFactoryDatabase, UserAuthenticationFilter

    public interface LoggerProvider

denotes a class that provides a suitable Logger for itself that allows to log data within the context of the implementing class.

Since:
  13.04.2015, 22:31:43
Author:
  holger

Method Summary
`Logger` `getLogger()` acess to the (non-null) Logger suitable for logging entries in the context of this instance

Method Detail

### getLogger

    Logger getLogger()

  acess to the (non-null) Logger suitable for logging entries in the context of this instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads